<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:import href="xml2json.xslt" />

    <xsl:template match="/">
        <json_output xmlns="">
            <xsl:text>{label: 'name', identifier: 'id', numRows: </xsl:text>
            <xsl:choose>
                <xsl:when test="/*/total">
                    <xsl:value-of select="/*/total" />
                </xsl:when>
                <xsl:otherwise>
                    <xsl:value-of select="count(//record)"/>
                </xsl:otherwise>
            </xsl:choose>

            <xsl:if test="//record">
                <xsl:text>, items:[</xsl:text>
                <xsl:for-each select="//record">
                    <xsl:apply-templates select="node()" />
                    <xsl:if test="following-sibling::*">,</xsl:if>
                </xsl:for-each>
                <xsl:text>]</xsl:text>
            </xsl:if>

            <xsl:text>}</xsl:text>
        </json_output>
    </xsl:template>

    <xsl:template match="*[count(child::node())=0]">
        <xsl:if test="not(preceding-sibling::*)">{</xsl:if>
        <xsl:apply-imports/>
        <xsl:if test="not(following-sibling::*)">}</xsl:if>
  </xsl:template>

</xsl:stylesheet>
